//------------------------------------------------------
// Name: Polynom.h
// Desc: polinom kezelsre szolgl osztly
// (c) RebelMaGE, 2004
//------------------------------------------------------
#ifndef Polynom_H
#define Polynom_H


#include <string.h>
#include <iostream>
#include <math.h>

using namespace std;

typedef unsigned int UINT;


class Polynom{
public:
	int		m_fokszam; // a fokszam + 1 a tomb hossza
	float*	m_polynom;


	Polynom(const int fokszam);
	Polynom(const Polynom& p);
	Polynom(const char a);
	Polynom();

	~Polynom();

	Polynom operator+(const Polynom& p);
	Polynom operator-(const Polynom& p);
	Polynom operator*(const float c);

	float evaluate(float x);

	friend ostream& operator<<(ostream& out, Polynom& p);
};
#endif