//------------------------------------------------------
// Name: LongNum.h
// Desc: hossz decimlis szm trolsra szolgl oszt
// (c) RebelMaGE, 2004
//------------------------------------------------------
#ifndef LongNum_H
#define LongNum_H

#include <string.h>
#include <iostream>
#include <math.h>

using namespace std;

typedef unsigned int UINT;

#define SCL "0123456789"
#define LEN 51

class LongNum{
public:
	char*	m_szam;
	char*	m_scl;


	LongNum();
	LongNum(char* szam);
	LongNum(const LongNum& ln);

	~LongNum();

	LongNum operator+(const LongNum& ln);
	LongNum operator-(const LongNum& ln);

	bool greater(const char* leftOp, const char* rightOp);

	bool operator>(const LongNum ln);
	bool operator<(const LongNum ln);

	friend ostream& operator<< (ostream& out,const LongNum ln);
};
#endif